import java.util.concurrent.TimeUnit;

public class TimeUnitTest1 {
    public TimeUnitTest1() {
        System.out.println("0s = " 
                   + TimeUnit.MILLISECONDS.convert(0L, TimeUnit.SECONDS) + "ms");
        System.out.println("1s = "
                   + TimeUnit.MILLISECONDS.convert(1L, TimeUnit.SECONDS) + "ms");
        System.out.println("10s = " 
                   + TimeUnit.MILLISECONDS.convert(10L, TimeUnit.MICROSECONDS) + "ms");
        System.out.println("100s = "
                   + TimeUnit.MILLISECONDS.convert(100L, TimeUnit.MICROSECONDS) + "ms");
        System.out.println("100s = "
                   + TimeUnit.MILLISECONDS.convert(1000L, TimeUnit.MICROSECONDS) + "ms");
        System.out.println("1000ns = "
                   + TimeUnit.MILLISECONDS.convert(10000L, TimeUnit.NANOSECONDS) + "ms");
        System.out.println("10000ns = "
                   + TimeUnit.MILLISECONDS.convert(100000L, TimeUnit.NANOSECONDS) + "ms");
        System.out.println("100000ns = "
                   + TimeUnit.MILLISECONDS.convert(1000000L, TimeUnit.NANOSECONDS) + "ms");

        System.out.println("10ms = "
                   + TimeUnit.MILLISECONDS.toSeconds(10L) + "s");
        System.out.println("10ms = "
                   + TimeUnit.MILLISECONDS.toMicros(10L) + "s");
        System.out.println("10ms = "
                   + TimeUnit.MILLISECONDS.toNanos(10L) + "ns");


        System.out.println("500ms = " 
                   + TimeUnit.SECONDS.convert(500L, TimeUnit.MILLISECONDS) + "s");
        System.out.println("999ms = " 
                   + TimeUnit.SECONDS.convert(999L, TimeUnit.MILLISECONDS) + "s");
        System.out.println("1001ms = " 
                   + TimeUnit.SECONDS.convert(1001L, TimeUnit.MILLISECONDS) + "s");
    }

    public static void main(String[] args) {
        new TimeUnitTest1();
    }
}
